Issue 121972 - AOO cannot read primitive ellipse with radius and center
AOO cannot read primitive ellipse with radius and center
Status: RESOLVED FIXED
Product: Draw
Classification: Application
Component: open-import
4.0.0-dev
PC Windows 7
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-27 23:02 UTC by Regina Henschel
Modified: 2013-07-12 16:36 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
ellipse with radius and center (11.49 KB, application/vnd.oasis.opendocument.presentation)
2013-03-27 23:02 UTC, Regina Henschel
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2013-03-27 23:02:54 UTC
Created attachment 80474 [details]
ellipse with radius and center

ODF allows to define a draw:ellipse element with radius and center, for examples as
<draw:ellipse draw:name="rx_ry_cx_cy" draw:style-name="gr1" draw:text-style-name="P1" draw:layer="layout"
 svg:rx="3cm" svg:ry="2cm" svg:cx="7cm" svg:cy="5cm"
 draw:kind="arc" draw:start-angle="30" draw:end-angle="315">
   <text:p />
</draw:ellipse>

When AOO gets such a file it does not open it correct, but the shape has zero size and is at position 0|0. The shape is there, you can select it with the navigator.

Request: Because this is a common way to define an ellipse in SVG, AOO should be able to open it correctly.

The attached file contains such an ellipse. The ellipse should be in the middle of the square. The colored lines indicate 30°, 45°, 315° and 330° to look whether start- and end-angle are read correctly.
Comment 1 Armin Le Grand 2013-03-28 09:01:45 UTC
ALG: Grepping, looks like one for me...
Comment 2 SVN Robot 2013-04-10 09:31:19 UTC
"alg" committed SVN 0 into trunk:
i121972 Use svg rx/ry/cx/cy defines in draw:ellipse when used
Comment 3 Armin Le Grand 2013-04-10 09:32:55 UTC
ALG: Okay, luckily most was already interpreted, so I just needed to add code to make use of it. Comitted as r1466400, done.